<?php
/**
 * $Id$
 *
 * The contents of this file are subject to the KnowledgeTree
 * Commercial Editions On-Premise License ("License");
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.knowledgetree.com/about/legal/
 * The terms of this license may change from time to time and the latest
 * license will be published from time to time at the above Internet address.
 * 
 * This edition of the KnowledgeTree software
 * is NOT licensed to you under Open Source terms.
 * You may not redistribute this source code.
 * For more information please see the License above.
 * 
 * (c) 2008, 2009 KnowledgeTree Inc.
 * All Rights Reserved.
 *
 */

require_once(KT_LIB_DIR . '/plugins/plugin.inc.php');
require_once(KT_LIB_DIR . '/plugins/pluginregistry.inc.php');

class SpanishPlugin extends KTPlugin {
    var $sNamespace = 'ktcore.i18.es_SP.plugin';
    var $autoRegister = true;
    var $iOrder = -50;
    var $dir = '';

  function SpanishPlugin($sFilename = null)
  {
        parent::KTPlugin($sFilename);
        $this->sFriendlyName = _kt('Spanish Translation Plugin');

        $this->dir = dirname(__FILE__);
    }

    function setup() {
        $this->registerI18nLang('knowledgeTree', "es_SP", $this->dir . '/translations/');
        $this->registerLanguage("es_SP", "Spanish (Spain)");
        $this->registerHelpLanguage('ktcore', 'es_SP', $this->dir . '/help/ktcore/');
    }
}

$oPluginRegistry =& KTPluginRegistry::getSingleton();
$oPluginRegistry->registerPlugin('SpanishPlugin', 'ktcore.i18.es_SP.plugin', __FILE__);
?>
